## ros-rolling-ign-rviz 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ign_rviz)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_AUTOMOC ON)

# Qt packages
find_package(Qt5 COMPONENTS
  Core
  Quick
  QuickControls2
  REQUIRED
)

# ROS2 packages
find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(visualization_msgs REQUIRED)

# Ignition libraries
find_package(ign_rviz_common REQUIRED)
find_package(ign_rviz_plugins REQUIRED)
find_package(ignition-math6 REQUIRED)

# Dome
if("$ENV{IGNITION_VERSION}" STREQUAL "dome")
  find_package(ignition-gui4 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui4_VERSION_MAJOR})

  find_package(ignition-common3 REQUIRED)
  set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Dome")
# Default to Edifice
else()
  find_package(ignition-gui5 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui5_VERSION_MAJOR})

  find_package(ignition-common4 REQUIRED)
  set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

qt5_add_resources(resources_RCC include/ignition/rviz/rviz.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
  ${IGNITION-MATH_LIBRARY_DIRS}
)

include_directories(include)

add_executable(ign_rviz
  src/rviz/application.cpp
  src/rviz/rviz.cpp
  include/ignition/rviz/rviz.hpp
  ${resources_RCC}
)

ament_target_dependencies(ign_rviz
  ament_index_cpp
  ign_rviz_common
  ign_rviz_plugins
  ignition-math6
  ignition-gui${IGN_GUI_VER}
  geometry_msgs
  nav_msgs
  rclcpp
  sensor_msgs
  tf2_msgs
  tf2_ros
  visualization_msgs
)

target_link_libraries(ign_rviz Qt5::Core Qt5::Qml Qt5::Quick Qt5::QuickControls2)

install(TARGETS ign_rviz
        DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY launch
        DESTINATION share/${PROJECT_NAME}/)

install(DIRECTORY config
        DESTINATION share/${PROJECT_NAME}/)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ign-rviz (0.0.1-4focal) focal; urgency=high

  * Edifice support (#71 <https://github.com/ignitionrobotics/ign-rviz/issues/71>)
  * Add GPS Plugin (#66 <https://github.com/ignitionrobotics/ign-rviz/issues/66>)
  * Add MarkerArray display plugin (#64 <https://github.com/ignitionrobotics/ign-rviz/issues/64>)
  * Add support for more Marker geometry types (#63 <https://github.com/ignitionrobotics/ign-rviz/issues/63>)
  * Add Marker display plugin (#61 <https://github.com/ignitionrobotics/ign-rviz/issues/61>)
  * Add display plugins by topic and refactor main application (#51 <https://github.com/ignitionrobotics/ign-rviz/issues/51>)
  * Add Path display plugin (#50 <https://github.com/ignitionrobotics/ign-rviz/issues/50>)
  * Add PoseArray display plugin (#47 <https://github.com/ignitionrobotics/ign-rviz/issues/47>)
  * Update display plugin drawer (#46 <https://github.com/ignitionrobotics/ign-rviz/issues/46>)
  * Add Polygon display plugin (#43 <https://github.com/ignitionrobotics/ign-rviz/issues/43>)
  * Add RobotModel display plugin (#42 <https://github.com/ignitionrobotics/ign-rviz/issues/42>)
  * Add Pose display plugin (#41 <https://github.com/ignitionrobotics/ign-rviz/issues/41>)
  * Add PointStamped display plugin (#40 <https://github.com/ignitionrobotics/ign-rviz/issues/40>)
  * Add Image Display plugin (#36 <https://github.com/ignitionrobotics/ign-rviz/issues/36>)
  * Remove pluginlib dependency (#35 <https://github.com/ignitionrobotics/ign-rviz/issues/35>)
  * LaserScan visualization plugin config (#34 <https://github.com/ignitionrobotics/ign-rviz/issues/34>)
  * TF visualization plugin config (#32 <https://github.com/ignitionrobotics/ign-rviz/issues/32>)
  * Global Options Plugin (#29 <https://github.com/ignitionrobotics/ign-rviz/issues/29>)
  * Axes visualization plugin (#27 <https://github.com/ignitionrobotics/ign-rviz/issues/27>)
  * Update custom drawer menu (#25 <https://github.com/ignitionrobotics/ign-rviz/issues/25>)
  * Add LaserScan visualization plugin (#17 <https://github.com/ignitionrobotics/ign-rviz/issues/17>)
  * Add display plugin list
  * Add LaserScan visualization plugin
  * Add code documentation (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Add documentation for ign_rviz_plugins
  * Restructure repository (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Restructure repository
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Sarathkrishnan Ramesh

 -- Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>  Fri, 16 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ign-rviz
Section: misc
Priority: optional
Maintainer: Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libignition-common4-dev, libignition-gui5-dev, libignition-math6-dev, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-ign-rviz-common, ros-rolling-ign-rviz-plugins, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ign-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-common4-dev, libignition-gui5-dev, libignition-math6-dev, ros-rolling-geometry-msgs, ros-rolling-ign-rviz-common, ros-rolling-ign-rviz-plugins, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: RViz developed using Ignition libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ign-rviz//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
